<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.docus.server.message.mapper.CqcPushConfigMapper">

    <select id="getCqcPushConfigByBusinessType"
            resultType="com.docus.server.message.entity.CqcPushConfig">
        SELECT
        id,
        business_type,
        protocol_type,
        namespace,
        url,
        method,
        effective,
        title,
        create_user,
        create_time,
        update_user,
        update_time,
        parameter_list
        FROM
        cqc_push_config
        WHERE business_type=#{businessType}
        AND effective=1
    </select>

</mapper>
